*{
    box-sizing: border-box;
}
body{
    margin: 0;
}
.header{
    background-color: rgb(19,25,23);
    height: 60px;
    color: white;
}

/* Layout **/
.container{
    width: 99%;
    /*background-color: red;*/
    height: 100%;
    margin: auto;
}

.container-header{
    display: flex;
    align-items: center;
}
/* Logo **/
.logo-container{
    height: 50px;
    display: flex;
    align-items: center;
    font-size: 1.1rem;
}
.logo{
    width: 120px;
    height: 50px;
    background: url('https://m.media-amazon.com/images/G/31/gno/sprites/nav-sprite-global-1x-hm-dsk-reorg._CB405936311_.png');
    background-repeat: no-repeat;
    background-position-y: -40px;
    overflow: hidden;
}

.dotin{
    position: relative;
    margin-left: -13px;
    margin-top: -10px;
}
.border-white{
    padding: 5px;
    border: 2px solid transparent;
}
.border-white:hover{
    border: 1.5px solid #ffffff;
}

/* Address**/

.address-container{
    margin-left: 10px;
}
.address-container p{
    margin: 0;
}
.icon-address{
    display: flex;
    align-items: center;
}
.hello{
    font-size: 0.8rem;
    padding-left: 40px;
    color: #ccc;
}
.icon-locatin{
    margin-right: 7px;
}
.Select-your-address{
    font-size: 1rem;
    display: inline;
}
/***search-container****/
.search-container {
    background-color: red;
    margin-left: 25px;
    width: 640px;
    display: flex;
    height: 40px;
    justify-content: space-between;
    border-radius: 3px;
    overflow: hidden;
}
.search-container:hover{
    outline: 3px solid orange;
}
.search-select {
    width: 60px;
    border: none;
    background-color: rgb(230, 227, 227);
}

.search-input {
    width: 100%;
    height: 100%;
    border: none;
    outline: none;
    padding: 3px;
    font-size: 1.1rem;
}

.search-icon {
    width: 50px;
    background-color: rgb(235, 160, 94);
    display: flex;
    justify-content: center;
    align-items: center;
    font-size: 1.2rem;
    color: #000;
}

/***lauguage section*/
.language-container {
    margin-left: 25px;
}

.language-container p {
    font-size: 0.8rem;
    margin: 0;
}

.lauguge-image {
    width: 20px;
}

.lauguge-image img {
    width: 100%;
}

/***login-container***/
.login-container {
    margin-left: 15px;
}

.login-container p {
    margin: 0;
}

.account {
    font-weight: 900;
    font-size: 0.8rem;
}

.return-order-container {
    width: 65px;
    font-size: 0.9rem;
    margin-left: 10px;
}

.return-order-container p {
    margin: 0;
}

.order {
    font-size: 1rem;
    font-weight: 900;
    display: flex;
    width: 70px;
}

/****cart container***/
.cart-container {
    margin-left: 20px;
    font-size: 1.1rem;
    display: flex;
}

.cart-container i {
    font-size: 1rem;
}

/******Navigation*****/
.nav {
    height: 40px;
    background-color: #232f3d;
    margin: 0;
}

.container-nav {
    display: flex;
    align-items: center;
    justify-content: space-between;
    padding-left: 15px;
}

.container-nav ul {
    padding: 0;
    margin: 0;
    display: flex;
    align-items: center;
    height: 100%;
    font-size: 1rem;
    color: white;
    list-style: none;
}

.container-nav ul li a {
    color: white;
    text-decoration: none;
    padding: 0px 2px;

}

.nav-right-image-amazon-prime {
    min-width: 300px;
    height: 300;
    max-width: 500px;
}

.nav-right-image-amazon-prime img {
    width: 100%;
    height: 100%;
}

.prime-image {
    background-color: white;
    height: 350px;
    width: 350px;
    position: absolute;
    z-index: 1;
    display: none;
    color: #000;
    margin-left: -10px;
    transition: display 1s;
    padding: 10px;
}

.prime-image-hover:hover .prime-image {
    transition: display 1s;
    display: block;
}

.prime-image img {
    width: 100%;
    height: 100%;
}


/*--image slider --*/
.image-container {
    position: relative;
}

.image-list {
    display: flex;
    overflow: hidden;
}

.image-item {
    min-width: 100%;
    height: 600px;
    transition: transform 0.3s;

}

.image-item img {
    width: 100%;
    height: 100%;
    object-fit: cover;
}

.image-btn-container {
    position: absolute;
    top: 0;
    display: flex;
    justify-content: space-between;
    width: 100%;
}

.slider-btn {
    border: 1px solid transparent;
    padding: 100px 20px;
    font-size: 40px;
    font-weight: 300;
    background-color: transparent;
    color: #000;
}

.slider-btn i {
    font-weight: 900;
}

.slider-btn:focus {
    border-color: seagreen;
    box-shadow: -2px -2px 2px rgb(230, 227, 227),
        2px 2px 2px white;
    margin: 2px;
}

/*sidebar window*/
#open-nav-sidebar{
    cursor: pointer;
}
.sidebar-container-navigation{
    position: fixed;
    top: 0;
    bottom: 0;
    right: 0;
    left: 0;
    z-index: 10;
    background-color: transparent;
    transform: translateX(-100%);
    display: flex;
    transition: transform 1s;
}

.slidebar-show{
    transform: translateX(0%);
    background-color: rgba(0,0,0,0.7);
    transition: backgroundColor 0.5;
}
.sidebar-left-pat{
    background-color: white;
    width: 365px;
    height: 100%;
    box-sizing: 5px 5px 10px rgba(0,0,0,0.8);
}
.sidebar-top{
    display: flex;
    align-items: center;
    padding: 12px;
    padding-left: 30px;
    background-color: rgb(19,25,33);
    color: white;
}
.sidebar-top h2{
    font-size: 22px;
    margin: 0;
}
.sidebar-top i{
    padding-right: 10px;
    font-size: 25px;
}
.sidebar-item{
    padding-left: 30px;
    border-top:1.5px solid #ccc;
}
.sidebar-item h2{
    font-size: 20px;
}
.sidebar-item p{
    color: rgb(65,62,62);
}
#sidebar-navigation-close{
    background: transparent;
    align-self: flex-start;
    font-size: 30px;
    border: none;
    color: white;
    padding: 15px;
    cursor: pointer;
}
.sidebar-wrap{
    height: 100%;
   overflow: auto; 
   padding-bottom: 50px;
}
.fa-classic, .fa-regular, .fa-solid, .far, .fas {
    font-family: "Font Awesome 6 Free";
    margin-left: 20px;
}

/*product card container*/
.main{
    position: relative;
    top:-350px;
}
.productBackgraound{
    background-color: rgba(213, 247, 247,0.4);
}
.card-product-container{
    padding: 20px;
    display: flex;
    justify-content: space-between;

}
.card-product{
    background-color: white;
    display: flex;
    flex-direction: column;
    justify-content: space-between;
    max-width: 310px;
    box-shadow: -10px -0px 20px rgba(196, 240, 240,0.5),
    50px 50px 20px rgba(196, 240, 240,0.5);
    padding: 10px;
}
.card-product h2{
    margin: 0;
    padding: 10px;
    
}

.card-product-nested-card {
    display: flex;
    flex-wrap: wrap;
    justify-content: space-evenly;


}
.card-nested p{
    margin: 5px;
}
.card-nested img {
    width: 128px;
    height: 102px;
    object-fit: cover;

}
.card-product-btn{
    font-size: 14px;
    align-self: flex-start;
    margin: 7px 10px; 
    padding-left: 0;
    background-color: transparent;
    border:none;
    color:rgb(25, 105, 105)
}
.card-product-btn:hover{
    text-decoration: underline;
    cursor: pointer;
}
/*sec - 2*/
.sec-2{
    font-family: Arial,sans-serif;
    width:100%;
    height:315px;
    padding:10px;
    padding-top:0;
    padding-bottom: 25px;
}
.sec-2 h3{
    font-size: 20px;
    padding-bottom: 5px;
    margin-top:5px;
}
.slide-sec{
    height: 100%;
    width:100%;
    padding:18px;
    overflow-x: slide;
    background-color: white;
    position: relative;
    margin-top: 20px;
    margin-bottom: 20px;
}
.product-slide{
    display: flex;
    margin-top: 10px;
    overflow-x: scroll;
    scroll-behavior: smooth;
}
.product-slide::-webkit-scrollbar{
    background-color: transparent;
    height:7px; 
    cursor: pointer;
}
.product-slide::-webkit-scrollbar-thumb{
    border-radius: 10px;
    cursor: pointer;
}
.product-slide li{
    list-style: none;
    margin-right: 10px;
    margin-bottom: 15px;
    cursor: pointer;
}
.l-btn, 
.r-btn{
    background-color: rgb(255,255,255,1);
    height:90px;
    width:50px;
    text-align: center;
    cursor:pointer;
    top:50%;
    position: absolute; 
    border:2px solid transparent; 
}
.l-btn{
    border-radius: 0 5px 5px 0;
    left:10px;
}
.r-btn{
    border-radius: 5px 0 0 5px;
    right:10px;
}
.l-btn:hover{
    border: 3px solid rgb(2,150,150);
}
.r-btn:hover{
    border: 3px solid rgb(2,150,150);
}
.r-btn i, .l-btn i{
    color: rgb(54,54,54);
    position:absolute;
    font-size: 30px;
    top:35%;
    left:12%;
    right:12%;
}
.slide-sec h3{
    font-size: 20px;
    margin-top:5px;
    margin-bottom: 0;
}
.product-slide.product-slide-1{
    display: flex;
    margin-top: 35px;
    overflow-x: scroll;
    scroll-behavior: smooth;
}
.product-slide.product-slide-3{
    display: flex;
    margin-top: 35px;
    overflow-x: scroll;
    scroll-behavior: smooth;
}
.box-d a{
    padding-top: 10px;
}
.box-d div img{
    width:155px;
    height:110px;
    margin-left: 5px;
    margin-right: 0px;
}
.box-d div span{
    margin-bottom: 11px;
}
/*****************************************************Footer***************************************************/
.footer{
    width:100%;
    height:150px;
    transition: all 0.2s;
}
.backtop{
    text-align: center;
    height:50px;
    background-color: #37475a;
    padding:15px;
    cursor: pointer;
}
.backtop span{
    color:white;
    font-weight: bold;
}
.backtop:hover{
    background-color: #4d627c;
}
.detail{
    background-color: #232f3e;
    height:375px;
}
.table{
    margin:0 150px;
    height:100%;
    display: flex;
    justify-content: space-around;
    padding-top:50px;
}
.table div{
    width:230px;
}
.t-head{
    font-family: inherit;
    font-size: 16px;
    color:white;
    font-weight: bold;
    margin-bottom: 5px;
    margin-left: 30px;
}
.table li{
    color: rgb(223,221,221);
    padding-top:10px;
    font-weight: lighter;
    list-style: none;
    font-size: 14px;
}
.copy{
    background-color: #232f3e;
    height: 90px;
    padding:40px;
    text-align: center;
}
.copy span{
    color:white;
    font-size: 14px;
}
.line{
    height:0.4px;
    width:100%;
    background-color: rgb(172,172,172);

}
.sidebar{
    background-color: white;
    width:330px;
    height:100%;
    transform: translateX(-390px);
    transition: all 0.5s;
    height:100%;
    position:absolute;
    z-index:101;
    overflow-y: scroll;
    box-shadow: 2px 2px 30px black;
}
.hdn-head{
    background-color: #232f3e;
    height:60px;
    width:100%;
    color:white;
    text-align: center;
}
.hdn-head h2{
    line-height: 60px;
}
.hdn-content h3{
    padding:20px 25px;
    color:rgb(39,39,39);
}
.hdn-content ul div{
    display: flex;
    cursor: pointer;
    transition: all 0.2s;
    font-size: rgb(70,70,70);
    font-size: 14px;
    padding:15px 25px;
    justify-content: space-between;
}
.fa-xmark {
    top:20px;
    left:350px;
    position:absolute;
    display: none;
    font-size: 30px;
    z-index:101;
    cursor: pointer;
}
.fa-angle-right{
    color:rgb(27,27,27);
}
.hdn-content ul div:hover{
    background-color: rgb(230,227,227);
}
.hdn-content ul{
    padding-bottom: 9px;
}
.black{
    height:100%;
    position: absolute;
    background-color: rgba(0,0,0,0.7);

}
.black.active{
    width:100%;
    z-index: 100;
}
.black.active-1{
    top:70px;
    width:100%;
    z-index:99;
}
.sidebar.active{
    transform: translateX(0);
}
.fa-xmark.active{
    display: block;
}
.hdn-sign.active{
    display: block;
}
.triangle.active{
    display: block;
}
.triangle{
    position:absolute;
    z-index:101;
    display:none;
    right:210px;
    top:42px;
    background-color: transparent;
    width:0;
    height:0;
    display:none;
    transition:all 2s;
    border:10px solid blue;
    border-color: transparent transparent white transparent;
}
.hdn-sign{
    position: absolute;
    z-index:101;
    transition: all 2s;
    display: none;
    width:500px;
    height: 350px;
    top:60px;
    right:80px;
    background-color: white;
    border-radius: 5px;
}
.hdn-table{
    display: flex;
    justify-content: space-around;
    padding:20px 0;
}
.hdn-table h3{
    font-size: 16px;
    padding:10px 0;
}
.hdn-table li{
    color: rgb(84,84,84);
    font-size: 13px;
    padding:5px 0;
    cursor: pointer;
}
.hdn-line{
    width:0.5px;
    color:black;
    background-color: rgb(190,190,190);
    height:280px;
}
.stop-scroll{
    overflow: hidden;
    height:100%;
}
